Subject: Re: Update on: MPC85xx git/MPC8548cds - PCI/PCIE problemS with Marvel SATA driver...

From: Timur Tabi <[email-masked]>
Date: Sun, 25 Feb 2007 18:18:27 -0600

Benjamin Herrenschmidt wrote:

> The above looks like it's working and you don't have a proper partition
> table on the disk or you haven't compiled in support for the right type
> of partition map (this is different from the filesystem type)....
> 
> Make sure you enable MS-DOS partition type support in addition to file
> system type.

Yeah, I made the same mistake once too.

The trick is not to confuse a file system with a partition type. 
They're completely separate options.  You can select any combination of 
file systems and partition types, even combinations that can never exist 
in the real world.  So if you turn on MS-DOS file system support, you 
also need to turn on MS-DOS partition support.